//
//  KBViewController.h
//  ------------------
//
//	Keith Blount 2005
//
//	A view controller that loads a main view from a nib and deals with releasing all
//	top-level objects so that subclasses don't have to keep outlets to them all.
//	Intended to be subclassed for use with specific views.
//

#import <Cocoa/Cocoa.h>

@interface KBViewController : NSObject
{
	IBOutlet NSView *mainView;
	
	NSArray *topLevelNibObjects;
	NSString *viewNibName;
}
- (id)initWithViewNibName:(NSString *)nibName;
- (NSView *)mainView;
- (NSWindow *)window;
- (NSString *)viewNibName;
@end
